Bug 206839 - Review Request: python-turbokid - Python template plugin that supports Kid templates
Review Request: python-turbokid - Python template plugin that supports Kid te...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Kuratomi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-09-17 01:24 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-30 02:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-09-17 01:24:33 EDT
Spec URL: http://people.redhat.com/lmacken/SPECS/TurboKid.spec
SRPM URL: http://people.redhat.com/lmacken/RPMS/TurboKid-0.9.8-2.src.rpm
Description:
This package provides a template engine plugin, allowing you
to easily use Kid with TurboGears, Buffet or other systems
that support python.templating.engines.
Comment 1 Toshio Kuratomi 2006-09-23 00:04:09 EDT
MD5Sums:

59c0ee439ad02613965017e38b6796d0  TurboKid-0.9.8-2.src.rpm
35997fd4208f40279461b6a823a4e03f  TurboKid-0.9.8-py2.4.egg
f7a9046bb1d065aa13fad23ba6363018  TurboKid.spec

Blockers:
* As we discussed on IRC the naming is better as python-turbogears.
* Upstream seems to have changed the download URL to:
  http://files.turbogears.org/eggs/TurboKid-0.9.8-py2.4.egg
* Package needs to own the %{python_sitelib}/turbokid directory.  Removing
  the (*) from the relevant line in %files should take care of that.
* We should try to place the EGG-INFO directory into the site-packages
  directory so that setuptools realizes we have it installed.  From our IRC
  conversation it sounds like you have a better idea of how this should look
  than I do :-)

Good:
* Package licensed under a MIT style license.
* The spec file is legible, American English.
* Source matches upstream.
* Package compiles and builds as noarch on an x86_64.
* All BuildRequires are satisfied.
* No locales.
* No shared libraries, static libraries, headers, or pkgconfig files.
* Not relocatable.
* No duplicate files.
* Permissions properly set.
* Proper %clean section.
* Macros are properly used.
* No large docs.  Docs do not affect runtime.
* No GUI application.
* Does not own directories already owned.
* Builds in mock
* rpmlint -i TurboKid-0.9.8-2.noarch.rpm
  W: TurboKid no-documentation
  Hopefully upstream will include more documentation in the future.

Not Yet checked:
* Tested that it works.  I have to build a new TurboGears package to test this
  with.

If you fix the blockers, I'll get TurboGears built so I can test and we can get
this approved.
Comment 2 Luke Macken 2006-09-23 02:17:10 EDT
http://people.redhat.com/lmacken/RPMS/python-turbokid-0.9.8-3.src.rpm
http://people.redhat.com/lmacken/SPECS/python-turbokid.spec

* Sat Sep 23 2006 Luke Macken <lmacken@redhat.com> - 0.9.8-3
- Rename to python-turbokid
- Own %%{python_sitelib}/turbokid directory
- Install the EGG-INFO directory
Comment 3 Toshio Kuratomi 2006-09-28 02:58:30 EDT
MD5Sums:
582b11e91d8c4369bdf2be424624d1e0  python-turbokid-0.9.8-3.src.rpm
35997fd4208f40279461b6a823a4e03f  TurboKid-0.9.8-py2.4.egg
a88645a5afc9b70685c977ac0afd7a5c  python-turbokid.spec

Good:
* The three blockers have been fixed.
* Tested with turbogears 1.0-0.1.b1 and proposed python-turbojson package and it
runs a minimal test.

APPROVED
Comment 4 Luke Macken 2006-09-30 02:27:17 EDT
Imported into CVS, added to owners.list, requested FC-5 branch, and bumped to 0.9.9.
Comment 5 Kevin Fenzi 2006-12-21 22:15:55 EST
Changing summary for tracking purposes. 
Comment 6 Dan Callaghan 2014-07-14 21:16:54 EDT
Please un-retire the epel7 branch.

Package Change Request
======================
Package Name: python-turbokid
New Branches: epel7
Owners: dcallagh
Comment 7 Gwyn Ciesla 2014-07-15 08:29:33 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.